/*
    PubTrans - Scheduling public transportation on PalmPilot handheld

    Copyright (C) 1999 Andreas Kretzer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    e-mail: andi@kretzer-berlin.de
*/

#ifndef __WLISTS_H__
#define __WLISTS_H__

typedef struct wlist {
   char ** wtab;
   long  * ltab;
   int     nwords;
   int     ntab;
} wlist;

/*
 * Gesamtanzahl aktiver wlists
 * nur zur Information ob ein Programm
 * wlists nicht loescht
 */
extern long _wlistcount;

wlist * genwlist    (void);
wlist * addwlist    (wlist * w, char * s, long l);
void    delwlist    (wlist * w);

#endif /* __WLISTS_H__ */

